Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network227.232.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
227.232.0.0
Broadcast address
227.235.255.255
First usable
227.232.0.1
Last usable
227.235.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E3E80000 · Integer 3823632384 to 3823894527
Reverse DNS zones
232.227.in-addr.arpa
233.227.in-addr.arpa
234.227.in-addr.arpa
235.227.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100011.11101000.00000000.00000000227.232.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network11100011.11101000.00000000.00000000227.232.0.0
Broadcast11100011.11101011.11111111.11111111227.235.255.255
Split into smaller subnets/23

227.232.0.0/14 makes 512 subnets of /23; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1227.232.0.0/23227.232.0.1 to 227.232.1.254227.232.1.255510
2227.232.2.0/23227.232.2.1 to 227.232.3.254227.232.3.255510
3227.232.4.0/23227.232.4.1 to 227.232.5.254227.232.5.255510
4227.232.6.0/23227.232.6.1 to 227.232.7.254227.232.7.255510
5227.232.8.0/23227.232.8.1 to 227.232.9.254227.232.9.255510
6227.232.10.0/23227.232.10.1 to 227.232.11.254227.232.11.255510
7227.232.12.0/23227.232.12.1 to 227.232.13.254227.232.13.255510
8227.232.14.0/23227.232.14.1 to 227.232.15.254227.232.15.255510
9227.232.16.0/23227.232.16.1 to 227.232.17.254227.232.17.255510
10227.232.18.0/23227.232.18.1 to 227.232.19.254227.232.19.255510
11227.232.20.0/23227.232.20.1 to 227.232.21.254227.232.21.255510
12227.232.22.0/23227.232.22.1 to 227.232.23.254227.232.23.255510
13227.232.24.0/23227.232.24.1 to 227.232.25.254227.232.25.255510
14227.232.26.0/23227.232.26.1 to 227.232.27.254227.232.27.255510
15227.232.28.0/23227.232.28.1 to 227.232.29.254227.232.29.255510
16227.232.30.0/23227.232.30.1 to 227.232.31.254227.232.31.255510
17227.232.32.0/23227.232.32.1 to 227.232.33.254227.232.33.255510
18227.232.34.0/23227.232.34.1 to 227.232.35.254227.232.35.255510
19227.232.36.0/23227.232.36.1 to 227.232.37.254227.232.37.255510
20227.232.38.0/23227.232.38.1 to 227.232.39.254227.232.39.255510
21227.232.40.0/23227.232.40.1 to 227.232.41.254227.232.41.255510
22227.232.42.0/23227.232.42.1 to 227.232.43.254227.232.43.255510
23227.232.44.0/23227.232.44.1 to 227.232.45.254227.232.45.255510
24227.232.46.0/23227.232.46.1 to 227.232.47.254227.232.47.255510
25227.232.48.0/23227.232.48.1 to 227.232.49.254227.232.49.255510
26227.232.50.0/23227.232.50.1 to 227.232.51.254227.232.51.255510
27227.232.52.0/23227.232.52.1 to 227.232.53.254227.232.53.255510
28227.232.54.0/23227.232.54.1 to 227.232.55.254227.232.55.255510
29227.232.56.0/23227.232.56.1 to 227.232.57.254227.232.57.255510
30227.232.58.0/23227.232.58.1 to 227.232.59.254227.232.59.255510
31227.232.60.0/23227.232.60.1 to 227.232.61.254227.232.61.255510
32227.232.62.0/23227.232.62.1 to 227.232.63.254227.232.63.255510
33227.232.64.0/23227.232.64.1 to 227.232.65.254227.232.65.255510
34227.232.66.0/23227.232.66.1 to 227.232.67.254227.232.67.255510
35227.232.68.0/23227.232.68.1 to 227.232.69.254227.232.69.255510
36227.232.70.0/23227.232.70.1 to 227.232.71.254227.232.71.255510
37227.232.72.0/23227.232.72.1 to 227.232.73.254227.232.73.255510
38227.232.74.0/23227.232.74.1 to 227.232.75.254227.232.75.255510
39227.232.76.0/23227.232.76.1 to 227.232.77.254227.232.77.255510
40227.232.78.0/23227.232.78.1 to 227.232.79.254227.232.79.255510
41227.232.80.0/23227.232.80.1 to 227.232.81.254227.232.81.255510
42227.232.82.0/23227.232.82.1 to 227.232.83.254227.232.83.255510
43227.232.84.0/23227.232.84.1 to 227.232.85.254227.232.85.255510
44227.232.86.0/23227.232.86.1 to 227.232.87.254227.232.87.255510
45227.232.88.0/23227.232.88.1 to 227.232.89.254227.232.89.255510
46227.232.90.0/23227.232.90.1 to 227.232.91.254227.232.91.255510
47227.232.92.0/23227.232.92.1 to 227.232.93.254227.232.93.255510
48227.232.94.0/23227.232.94.1 to 227.232.95.254227.232.95.255510
49227.232.96.0/23227.232.96.1 to 227.232.97.254227.232.97.255510
50227.232.98.0/23227.232.98.1 to 227.232.99.254227.232.99.255510
51227.232.100.0/23227.232.100.1 to 227.232.101.254227.232.101.255510
52227.232.102.0/23227.232.102.1 to 227.232.103.254227.232.103.255510
53227.232.104.0/23227.232.104.1 to 227.232.105.254227.232.105.255510
54227.232.106.0/23227.232.106.1 to 227.232.107.254227.232.107.255510
55227.232.108.0/23227.232.108.1 to 227.232.109.254227.232.109.255510
56227.232.110.0/23227.232.110.1 to 227.232.111.254227.232.111.255510
57227.232.112.0/23227.232.112.1 to 227.232.113.254227.232.113.255510
58227.232.114.0/23227.232.114.1 to 227.232.115.254227.232.115.255510
59227.232.116.0/23227.232.116.1 to 227.232.117.254227.232.117.255510
60227.232.118.0/23227.232.118.1 to 227.232.119.254227.232.119.255510
61227.232.120.0/23227.232.120.1 to 227.232.121.254227.232.121.255510
62227.232.122.0/23227.232.122.1 to 227.232.123.254227.232.123.255510
63227.232.124.0/23227.232.124.1 to 227.232.125.254227.232.125.255510
64227.232.126.0/23227.232.126.1 to 227.232.127.254227.232.127.255510
65227.232.128.0/23227.232.128.1 to 227.232.129.254227.232.129.255510
66227.232.130.0/23227.232.130.1 to 227.232.131.254227.232.131.255510
67227.232.132.0/23227.232.132.1 to 227.232.133.254227.232.133.255510
68227.232.134.0/23227.232.134.1 to 227.232.135.254227.232.135.255510
69227.232.136.0/23227.232.136.1 to 227.232.137.254227.232.137.255510
70227.232.138.0/23227.232.138.1 to 227.232.139.254227.232.139.255510
71227.232.140.0/23227.232.140.1 to 227.232.141.254227.232.141.255510
72227.232.142.0/23227.232.142.1 to 227.232.143.254227.232.143.255510
73227.232.144.0/23227.232.144.1 to 227.232.145.254227.232.145.255510
74227.232.146.0/23227.232.146.1 to 227.232.147.254227.232.147.255510
75227.232.148.0/23227.232.148.1 to 227.232.149.254227.232.149.255510
76227.232.150.0/23227.232.150.1 to 227.232.151.254227.232.151.255510
77227.232.152.0/23227.232.152.1 to 227.232.153.254227.232.153.255510
78227.232.154.0/23227.232.154.1 to 227.232.155.254227.232.155.255510
79227.232.156.0/23227.232.156.1 to 227.232.157.254227.232.157.255510
80227.232.158.0/23227.232.158.1 to 227.232.159.254227.232.159.255510
81227.232.160.0/23227.232.160.1 to 227.232.161.254227.232.161.255510
82227.232.162.0/23227.232.162.1 to 227.232.163.254227.232.163.255510
83227.232.164.0/23227.232.164.1 to 227.232.165.254227.232.165.255510
84227.232.166.0/23227.232.166.1 to 227.232.167.254227.232.167.255510
85227.232.168.0/23227.232.168.1 to 227.232.169.254227.232.169.255510
86227.232.170.0/23227.232.170.1 to 227.232.171.254227.232.171.255510
87227.232.172.0/23227.232.172.1 to 227.232.173.254227.232.173.255510
88227.232.174.0/23227.232.174.1 to 227.232.175.254227.232.175.255510
89227.232.176.0/23227.232.176.1 to 227.232.177.254227.232.177.255510
90227.232.178.0/23227.232.178.1 to 227.232.179.254227.232.179.255510
91227.232.180.0/23227.232.180.1 to 227.232.181.254227.232.181.255510
92227.232.182.0/23227.232.182.1 to 227.232.183.254227.232.183.255510
93227.232.184.0/23227.232.184.1 to 227.232.185.254227.232.185.255510
94227.232.186.0/23227.232.186.1 to 227.232.187.254227.232.187.255510
95227.232.188.0/23227.232.188.1 to 227.232.189.254227.232.189.255510
96227.232.190.0/23227.232.190.1 to 227.232.191.254227.232.191.255510
97227.232.192.0/23227.232.192.1 to 227.232.193.254227.232.193.255510
98227.232.194.0/23227.232.194.1 to 227.232.195.254227.232.195.255510
99227.232.196.0/23227.232.196.1 to 227.232.197.254227.232.197.255510
100227.232.198.0/23227.232.198.1 to 227.232.199.254227.232.199.255510
101227.232.200.0/23227.232.200.1 to 227.232.201.254227.232.201.255510
102227.232.202.0/23227.232.202.1 to 227.232.203.254227.232.203.255510
103227.232.204.0/23227.232.204.1 to 227.232.205.254227.232.205.255510
104227.232.206.0/23227.232.206.1 to 227.232.207.254227.232.207.255510
105227.232.208.0/23227.232.208.1 to 227.232.209.254227.232.209.255510
106227.232.210.0/23227.232.210.1 to 227.232.211.254227.232.211.255510
107227.232.212.0/23227.232.212.1 to 227.232.213.254227.232.213.255510
108227.232.214.0/23227.232.214.1 to 227.232.215.254227.232.215.255510
109227.232.216.0/23227.232.216.1 to 227.232.217.254227.232.217.255510
110227.232.218.0/23227.232.218.1 to 227.232.219.254227.232.219.255510
111227.232.220.0/23227.232.220.1 to 227.232.221.254227.232.221.255510
112227.232.222.0/23227.232.222.1 to 227.232.223.254227.232.223.255510
113227.232.224.0/23227.232.224.1 to 227.232.225.254227.232.225.255510
114227.232.226.0/23227.232.226.1 to 227.232.227.254227.232.227.255510
115227.232.228.0/23227.232.228.1 to 227.232.229.254227.232.229.255510
116227.232.230.0/23227.232.230.1 to 227.232.231.254227.232.231.255510
117227.232.232.0/23227.232.232.1 to 227.232.233.254227.232.233.255510
118227.232.234.0/23227.232.234.1 to 227.232.235.254227.232.235.255510
119227.232.236.0/23227.232.236.1 to 227.232.237.254227.232.237.255510
120227.232.238.0/23227.232.238.1 to 227.232.239.254227.232.239.255510
121227.232.240.0/23227.232.240.1 to 227.232.241.254227.232.241.255510
122227.232.242.0/23227.232.242.1 to 227.232.243.254227.232.243.255510
123227.232.244.0/23227.232.244.1 to 227.232.245.254227.232.245.255510
124227.232.246.0/23227.232.246.1 to 227.232.247.254227.232.247.255510
125227.232.248.0/23227.232.248.1 to 227.232.249.254227.232.249.255510
126227.232.250.0/23227.232.250.1 to 227.232.251.254227.232.251.255510
127227.232.252.0/23227.232.252.1 to 227.232.253.254227.232.253.255510
128227.232.254.0/23227.232.254.1 to 227.232.255.254227.232.255.255510
129227.233.0.0/23227.233.0.1 to 227.233.1.254227.233.1.255510
130227.233.2.0/23227.233.2.1 to 227.233.3.254227.233.3.255510
131227.233.4.0/23227.233.4.1 to 227.233.5.254227.233.5.255510
132227.233.6.0/23227.233.6.1 to 227.233.7.254227.233.7.255510
133227.233.8.0/23227.233.8.1 to 227.233.9.254227.233.9.255510
134227.233.10.0/23227.233.10.1 to 227.233.11.254227.233.11.255510
135227.233.12.0/23227.233.12.1 to 227.233.13.254227.233.13.255510
136227.233.14.0/23227.233.14.1 to 227.233.15.254227.233.15.255510
137227.233.16.0/23227.233.16.1 to 227.233.17.254227.233.17.255510
138227.233.18.0/23227.233.18.1 to 227.233.19.254227.233.19.255510
139227.233.20.0/23227.233.20.1 to 227.233.21.254227.233.21.255510
140227.233.22.0/23227.233.22.1 to 227.233.23.254227.233.23.255510
141227.233.24.0/23227.233.24.1 to 227.233.25.254227.233.25.255510
142227.233.26.0/23227.233.26.1 to 227.233.27.254227.233.27.255510
143227.233.28.0/23227.233.28.1 to 227.233.29.254227.233.29.255510
144227.233.30.0/23227.233.30.1 to 227.233.31.254227.233.31.255510
145227.233.32.0/23227.233.32.1 to 227.233.33.254227.233.33.255510
146227.233.34.0/23227.233.34.1 to 227.233.35.254227.233.35.255510
147227.233.36.0/23227.233.36.1 to 227.233.37.254227.233.37.255510
148227.233.38.0/23227.233.38.1 to 227.233.39.254227.233.39.255510
149227.233.40.0/23227.233.40.1 to 227.233.41.254227.233.41.255510
150227.233.42.0/23227.233.42.1 to 227.233.43.254227.233.43.255510
151227.233.44.0/23227.233.44.1 to 227.233.45.254227.233.45.255510
152227.233.46.0/23227.233.46.1 to 227.233.47.254227.233.47.255510
153227.233.48.0/23227.233.48.1 to 227.233.49.254227.233.49.255510
154227.233.50.0/23227.233.50.1 to 227.233.51.254227.233.51.255510
155227.233.52.0/23227.233.52.1 to 227.233.53.254227.233.53.255510
156227.233.54.0/23227.233.54.1 to 227.233.55.254227.233.55.255510
157227.233.56.0/23227.233.56.1 to 227.233.57.254227.233.57.255510
158227.233.58.0/23227.233.58.1 to 227.233.59.254227.233.59.255510
159227.233.60.0/23227.233.60.1 to 227.233.61.254227.233.61.255510
160227.233.62.0/23227.233.62.1 to 227.233.63.254227.233.63.255510
161227.233.64.0/23227.233.64.1 to 227.233.65.254227.233.65.255510
162227.233.66.0/23227.233.66.1 to 227.233.67.254227.233.67.255510
163227.233.68.0/23227.233.68.1 to 227.233.69.254227.233.69.255510
164227.233.70.0/23227.233.70.1 to 227.233.71.254227.233.71.255510
165227.233.72.0/23227.233.72.1 to 227.233.73.254227.233.73.255510
166227.233.74.0/23227.233.74.1 to 227.233.75.254227.233.75.255510
167227.233.76.0/23227.233.76.1 to 227.233.77.254227.233.77.255510
168227.233.78.0/23227.233.78.1 to 227.233.79.254227.233.79.255510
169227.233.80.0/23227.233.80.1 to 227.233.81.254227.233.81.255510
170227.233.82.0/23227.233.82.1 to 227.233.83.254227.233.83.255510
171227.233.84.0/23227.233.84.1 to 227.233.85.254227.233.85.255510
172227.233.86.0/23227.233.86.1 to 227.233.87.254227.233.87.255510
173227.233.88.0/23227.233.88.1 to 227.233.89.254227.233.89.255510
174227.233.90.0/23227.233.90.1 to 227.233.91.254227.233.91.255510
175227.233.92.0/23227.233.92.1 to 227.233.93.254227.233.93.255510
176227.233.94.0/23227.233.94.1 to 227.233.95.254227.233.95.255510
177227.233.96.0/23227.233.96.1 to 227.233.97.254227.233.97.255510
178227.233.98.0/23227.233.98.1 to 227.233.99.254227.233.99.255510
179227.233.100.0/23227.233.100.1 to 227.233.101.254227.233.101.255510
180227.233.102.0/23227.233.102.1 to 227.233.103.254227.233.103.255510
181227.233.104.0/23227.233.104.1 to 227.233.105.254227.233.105.255510
182227.233.106.0/23227.233.106.1 to 227.233.107.254227.233.107.255510
183227.233.108.0/23227.233.108.1 to 227.233.109.254227.233.109.255510
184227.233.110.0/23227.233.110.1 to 227.233.111.254227.233.111.255510
185227.233.112.0/23227.233.112.1 to 227.233.113.254227.233.113.255510
186227.233.114.0/23227.233.114.1 to 227.233.115.254227.233.115.255510
187227.233.116.0/23227.233.116.1 to 227.233.117.254227.233.117.255510
188227.233.118.0/23227.233.118.1 to 227.233.119.254227.233.119.255510
189227.233.120.0/23227.233.120.1 to 227.233.121.254227.233.121.255510
190227.233.122.0/23227.233.122.1 to 227.233.123.254227.233.123.255510
191227.233.124.0/23227.233.124.1 to 227.233.125.254227.233.125.255510
192227.233.126.0/23227.233.126.1 to 227.233.127.254227.233.127.255510
193227.233.128.0/23227.233.128.1 to 227.233.129.254227.233.129.255510
194227.233.130.0/23227.233.130.1 to 227.233.131.254227.233.131.255510
195227.233.132.0/23227.233.132.1 to 227.233.133.254227.233.133.255510
196227.233.134.0/23227.233.134.1 to 227.233.135.254227.233.135.255510
197227.233.136.0/23227.233.136.1 to 227.233.137.254227.233.137.255510
198227.233.138.0/23227.233.138.1 to 227.233.139.254227.233.139.255510
199227.233.140.0/23227.233.140.1 to 227.233.141.254227.233.141.255510
200227.233.142.0/23227.233.142.1 to 227.233.143.254227.233.143.255510
201227.233.144.0/23227.233.144.1 to 227.233.145.254227.233.145.255510
202227.233.146.0/23227.233.146.1 to 227.233.147.254227.233.147.255510
203227.233.148.0/23227.233.148.1 to 227.233.149.254227.233.149.255510
204227.233.150.0/23227.233.150.1 to 227.233.151.254227.233.151.255510
205227.233.152.0/23227.233.152.1 to 227.233.153.254227.233.153.255510
206227.233.154.0/23227.233.154.1 to 227.233.155.254227.233.155.255510
207227.233.156.0/23227.233.156.1 to 227.233.157.254227.233.157.255510
208227.233.158.0/23227.233.158.1 to 227.233.159.254227.233.159.255510
209227.233.160.0/23227.233.160.1 to 227.233.161.254227.233.161.255510
210227.233.162.0/23227.233.162.1 to 227.233.163.254227.233.163.255510
211227.233.164.0/23227.233.164.1 to 227.233.165.254227.233.165.255510
212227.233.166.0/23227.233.166.1 to 227.233.167.254227.233.167.255510
213227.233.168.0/23227.233.168.1 to 227.233.169.254227.233.169.255510
214227.233.170.0/23227.233.170.1 to 227.233.171.254227.233.171.255510
215227.233.172.0/23227.233.172.1 to 227.233.173.254227.233.173.255510
216227.233.174.0/23227.233.174.1 to 227.233.175.254227.233.175.255510
217227.233.176.0/23227.233.176.1 to 227.233.177.254227.233.177.255510
218227.233.178.0/23227.233.178.1 to 227.233.179.254227.233.179.255510
219227.233.180.0/23227.233.180.1 to 227.233.181.254227.233.181.255510
220227.233.182.0/23227.233.182.1 to 227.233.183.254227.233.183.255510
221227.233.184.0/23227.233.184.1 to 227.233.185.254227.233.185.255510
222227.233.186.0/23227.233.186.1 to 227.233.187.254227.233.187.255510
223227.233.188.0/23227.233.188.1 to 227.233.189.254227.233.189.255510
224227.233.190.0/23227.233.190.1 to 227.233.191.254227.233.191.255510
225227.233.192.0/23227.233.192.1 to 227.233.193.254227.233.193.255510
226227.233.194.0/23227.233.194.1 to 227.233.195.254227.233.195.255510
227227.233.196.0/23227.233.196.1 to 227.233.197.254227.233.197.255510
228227.233.198.0/23227.233.198.1 to 227.233.199.254227.233.199.255510
229227.233.200.0/23227.233.200.1 to 227.233.201.254227.233.201.255510
230227.233.202.0/23227.233.202.1 to 227.233.203.254227.233.203.255510
231227.233.204.0/23227.233.204.1 to 227.233.205.254227.233.205.255510
232227.233.206.0/23227.233.206.1 to 227.233.207.254227.233.207.255510
233227.233.208.0/23227.233.208.1 to 227.233.209.254227.233.209.255510
234227.233.210.0/23227.233.210.1 to 227.233.211.254227.233.211.255510
235227.233.212.0/23227.233.212.1 to 227.233.213.254227.233.213.255510
236227.233.214.0/23227.233.214.1 to 227.233.215.254227.233.215.255510
237227.233.216.0/23227.233.216.1 to 227.233.217.254227.233.217.255510
238227.233.218.0/23227.233.218.1 to 227.233.219.254227.233.219.255510
239227.233.220.0/23227.233.220.1 to 227.233.221.254227.233.221.255510
240227.233.222.0/23227.233.222.1 to 227.233.223.254227.233.223.255510
241227.233.224.0/23227.233.224.1 to 227.233.225.254227.233.225.255510
242227.233.226.0/23227.233.226.1 to 227.233.227.254227.233.227.255510
243227.233.228.0/23227.233.228.1 to 227.233.229.254227.233.229.255510
244227.233.230.0/23227.233.230.1 to 227.233.231.254227.233.231.255510
245227.233.232.0/23227.233.232.1 to 227.233.233.254227.233.233.255510
246227.233.234.0/23227.233.234.1 to 227.233.235.254227.233.235.255510
247227.233.236.0/23227.233.236.1 to 227.233.237.254227.233.237.255510
248227.233.238.0/23227.233.238.1 to 227.233.239.254227.233.239.255510
249227.233.240.0/23227.233.240.1 to 227.233.241.254227.233.241.255510
250227.233.242.0/23227.233.242.1 to 227.233.243.254227.233.243.255510
251227.233.244.0/23227.233.244.1 to 227.233.245.254227.233.245.255510
252227.233.246.0/23227.233.246.1 to 227.233.247.254227.233.247.255510
253227.233.248.0/23227.233.248.1 to 227.233.249.254227.233.249.255510
254227.233.250.0/23227.233.250.1 to 227.233.251.254227.233.251.255510
255227.233.252.0/23227.233.252.1 to 227.233.253.254227.233.253.255510
256227.233.254.0/23227.233.254.1 to 227.233.255.254227.233.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses